OPTIONS api/Cart/GetAccountBookListAndLastOrderNumber

No documentation available.

Request Information

Parameters

NameDescriptionAdditional information
paramList
No documentation available.

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
[
  {},
  {},
  {}
]

text/html

Sample:
[{},{},{}]

application/xml, text/xml

Sample:
<ArrayOfanyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
  <anyType />
  <anyType />
  <anyType />
</ArrayOfanyType>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

No documentation available.

Response body formats

application/json, text/json

Sample:
{
  "tranType": 1,
  "LastOrderNo": 2,
  "DefAcntBookID": "ad2b41d2-e4d0-41df-9b2b-e870d3df3107",
  "DefAcntBookName": "sample string 4",
  "AccountBookDDLModelsList": [
    {
      "AcntBookId": "1f06a67b-f599-4f9f-80c4-2247b1631076",
      "AcntBookName": "sample string 2",
      "IsActive": true
    },
    {
      "AcntBookId": "1f06a67b-f599-4f9f-80c4-2247b1631076",
      "AcntBookName": "sample string 2",
      "IsActive": true
    },
    {
      "AcntBookId": "1f06a67b-f599-4f9f-80c4-2247b1631076",
      "AcntBookName": "sample string 2",
      "IsActive": true
    }
  ],
  "ReturnCode": 5,
  "ReturnMessage": "sample string 6"
}

text/html

Sample:
{"tranType":1,"LastOrderNo":2,"DefAcntBookID":"ad2b41d2-e4d0-41df-9b2b-e870d3df3107","DefAcntBookName":"sample string 4","AccountBookDDLModelsList":[{"AcntBookId":"1f06a67b-f599-4f9f-80c4-2247b1631076","AcntBookName":"sample string 2","IsActive":true},{"AcntBookId":"1f06a67b-f599-4f9f-80c4-2247b1631076","AcntBookName":"sample string 2","IsActive":true},{"AcntBookId":"1f06a67b-f599-4f9f-80c4-2247b1631076","AcntBookName":"sample string 2","IsActive":true}],"ReturnCode":5,"ReturnMessage":"sample string 6"}

application/xml, text/xml

Sample:
<CartPreOrderList xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/TABSINVBL.Models">
  <ReturnCode>5</ReturnCode>
  <ReturnMessage>sample string 6</ReturnMessage>
  <AccountBookDDLModelsList>
    <AccountBookDDLModels>
      <AcntBookId>1f06a67b-f599-4f9f-80c4-2247b1631076</AcntBookId>
      <AcntBookName>sample string 2</AcntBookName>
      <IsActive>true</IsActive>
    </AccountBookDDLModels>
    <AccountBookDDLModels>
      <AcntBookId>1f06a67b-f599-4f9f-80c4-2247b1631076</AcntBookId>
      <AcntBookName>sample string 2</AcntBookName>
      <IsActive>true</IsActive>
    </AccountBookDDLModels>
    <AccountBookDDLModels>
      <AcntBookId>1f06a67b-f599-4f9f-80c4-2247b1631076</AcntBookId>
      <AcntBookName>sample string 2</AcntBookName>
      <IsActive>true</IsActive>
    </AccountBookDDLModels>
  </AccountBookDDLModelsList>
  <DefAcntBookID>ad2b41d2-e4d0-41df-9b2b-e870d3df3107</DefAcntBookID>
  <DefAcntBookName>sample string 4</DefAcntBookName>
  <LastOrderNo>2</LastOrderNo>
  <tranType>1</tranType>
</CartPreOrderList>